SuccessConsole Output

Started by an SCM change
Running as SYSTEM
Building in workspace /var/jenkins_home/workspace/BetaFlight_Configurator
No credentials specified
 > git rev-parse --is-inside-work-tree # timeout=10
Fetching changes from the remote Git repository
 > git config remote.origin.url https://github.com/betaflight/betaflight-configurator.git # timeout=10
Fetching upstream changes from https://github.com/betaflight/betaflight-configurator.git
 > git --version # timeout=10
 > git fetch --tags --progress https://github.com/betaflight/betaflight-configurator.git +refs/heads/*:refs/remotes/origin/*
 > git rev-parse origin/master^{commit} # timeout=10
Checking out Revision 26a0a50d2a8baa8d9d0c38c95261894ac867ebcd (origin/master)
 > git config core.sparsecheckout # timeout=10
 > git checkout -f 26a0a50d2a8baa8d9d0c38c95261894ac867ebcd
Commit message: "Add switchable dark mode (#1473)"
 > git rev-list --no-walk 7f452d9c96db5b09685531dadce371e64ca67daa # timeout=10
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins5773991374674992980.sh
+ rm -rf node_modules
+ rm -rf apps
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins5682761776296069466.sh
+ rm -rf release
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins1924359124501303836.sh
+ yarn install
yarn install v1.15.2
warning package-lock.json found. Your project contains lock files generated by tools other than Yarn. It is advised not to mix package managers in order to avoid resolution inconsistencies caused by unsynchronized lock files. To clear this warning, remove package-lock.json.
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@1.2.9: The platform "linux" is incompatible with this module.
info "fsevents@1.2.9" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
$ platform-dependent-modules
* [platform-dependent-modules] process.cwd(): /var/jenkins_home/workspace/BetaFlight_Configurator __dirname: /var/jenkins_home/workspace/BetaFlight_Configurator/node_modules/platform-dependent-modules/lib
* [platform-dependent-modules] No packages to install, skipping.
Done in 21.68s.
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins9042923329893878800.sh
+ yarn --version
1.15.2
+ npm --version
6.4.1
+ node --version
v8.16.0
+ npm run gulp --version
6.4.1
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins6337894314903603902.sh
+ targets='--linux32 --linux64 --chromeos'
+ yarn run gulp release -- --linux32 --linux64 --chromeos
yarn run v1.15.2
warning From Yarn 1.0 onwards, scripts don't require "--" for options to be forwarded. In a future version, any explicit "--" will be forwarded as-is to the scripts.
$ gulp release --linux32 --linux64 --chromeos
[ '/usr/bin/node',
  '/var/jenkins_home/workspace/BetaFlight_Configurator/node_modules/.bin/gulp',
  'release',
  '--linux32',
  '--linux64',
  '--chromeos' ]
Building for platform(s): linux32,linux64,chromeos.
[11:23:36] Using gulpfile ~/workspace/BetaFlight_Configurator/gulpfile.js
[11:23:36] Starting 'release'...
[11:23:36] Starting 'clean_release'...
[11:23:36] Starting 'clean_apps'...
[11:23:36] Starting 'clean_dist'...
[11:23:36] Finished 'clean_release' after 25 ms
[11:23:36] Finished 'clean_apps' after 23 ms
[11:23:36] Finished 'clean_dist' after 129 ms
[11:23:36] Starting 'dist_src'...
info No lockfile found.
[1/4] Resolving packages...
warning gulp > gulp-cli > matchdep > micromatch > snapdragon > base > mixin-deep@1.3.1: Critical bug fixed in v2.0.1, please upgrade to the latest version.
warning gulp > gulp-cli > matchdep > micromatch > snapdragon > base > cache-base > set-value@2.0.0: Critical bug fixed in v3.0.1, please upgrade to the latest version.
warning gulp > gulp-cli > matchdep > micromatch > snapdragon > base > cache-base > union-value > set-value@0.4.3: Critical bug fixed in v3.0.1, please upgrade to the latest version.
warning gulp-debian > gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
[2/4] Fetching packages...
info fsevents@1.2.9: The platform "linux" is incompatible with this module.
info "fsevents@1.2.9" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
[4/4] Building fresh packages...
warning Ignored scripts due to flag.
success Saved lockfile.
[11:23:51] Finished 'dist_src' after 15 s
[11:23:51] Starting 'dist_locale'...
[11:23:51] Finished 'dist_locale' after 92 ms
[11:23:51] Starting 'dist_libraries'...
[11:23:51] Finished 'dist_libraries' after 104 ms
[11:23:51] Starting 'dist_resources'...
[11:23:51] Finished 'dist_resources' after 446 ms
[11:23:51] Starting 'getChangesetId'...
[11:23:51] git log -1 --format="%h" (log : false) 
[11:23:51] Finished 'getChangesetId' after 7.34 ms
[11:23:51] Starting 'apps'...
Using v0.36.4 (normal)
Create cache folder in /var/jenkins_home/workspace/BetaFlight_Configurator/cache/0.36.4-normal
Using cache for: linux32
Create cache folder in /var/jenkins_home/workspace/BetaFlight_Configurator/cache/0.36.4-normal
Using cache for: linux64
Create release folder in /var/jenkins_home/workspace/BetaFlight_Configurator/apps/betaflight-configurator/linux32
Create release folder in /var/jenkins_home/workspace/BetaFlight_Configurator/apps/betaflight-configurator/linux64
[11:24:00] Finished 'apps' after 8.82 s
[11:24:00] Starting 'post_build_linux32'...
[11:24:00] Starting 'post_build_linux64'...
Copy Ubuntu launcher scripts to apps/betaflight-configurator/linux32
Copy Ubuntu launcher scripts to apps/betaflight-configurator/linux64
[11:24:00] Finished 'post_build_linux32' after 19 ms
[11:24:00] Finished 'post_build_linux64' after 19 ms
[11:24:00] Starting 'release_chromeos'...
[11:24:00] Starting 'release_linux64_zip'...
[11:24:00] Starting 'release_linux64_deb'...
[11:24:00] Starting 'release_linux64_rpm'...
[11:24:00] Starting 'release_linux32_zip'...
[11:24:00] Starting 'release_linux32_deb'...
[11:24:00] Starting 'release_linux32_rpm'...
Error generating rpm package: Error: Command failed: rpmbuild -bb -vv --buildroot /var/jenkins_home/workspace/BetaFlight_Configurator/release/tmp-rpm-build-linux32/BUILDROOT/ release/tmp-rpm-build-linux32/SPECS/betaflight-configurator-10.6.0-1.i386.spec
ufdio:       1 reads,    15439 total bytes in 0.000009 secs
error: No compatible architectures found for build

[11:24:01] Finished 'release_linux32_rpm' after 596 ms
[11:24:20] Finished 'release_chromeos' after 20 s
[11:24:31] Finished 'release_linux32_zip' after 31 s
[11:24:31] Finished 'release_linux64_zip' after 31 s
[11:24:54] dpkg-deb: building package 'betaflight-configurator' in './release//betaflight-configurator_10.6.0_amd64.deb'.

[11:24:54] Finished 'release_linux64_deb' after 54 s
[11:24:54] dpkg-deb: building package 'betaflight-configurator' in './release//betaflight-configurator_10.6.0_i386.deb'.

[11:24:54] Finished 'release_linux32_deb' after 54 s
[11:25:01] Finished 'release_linux64_rpm' after 1.02 min
[11:25:01] Finished 'release' after 1.42 min
Done in 86.95s.
[BetaFlight_Configurator] $ /bin/bash -xe /tmp/jenkins8533914482534419813.sh
+ git diff
Archiving artifacts
Finished: SUCCESS